Bug 467435 - Avoid overwriting in-use on-disk text metadata by forgetting MDA_HEADER_SIZE
Avoid overwriting in-use on-disk text metadata by forgetting MDA_HEADER_SIZE
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Milan Broz
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 09:59 EDT by Milan Broz
Modified: 2013-02-28 23:06 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:46:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2008-10-17 09:59:52 EDT
The _vg_write_raw function has a bug in calculating offset in metadata buffer which can corrupt (in rare situations) volume group metadata.

For more info see original report:
https://www.redhat.com/archives/lvm-devel/2008-October/msg00012.html

Patch to fix this issue is already upstream.
Comment 5 Milan Broz 2008-10-24 08:31:18 EDT
Patch in
lvm2-2.02.40-6.el5.src.rpm
lvm2-cluster-2.02.40-6.el5.src.rpm
Comment 8 errata-xmlrpc 2009-01-20 16:46:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0179.html

Note You need to log in before you can comment on or make changes to this bug.